org.apache.poi.xddf.usermodel

## Class XDDFShapeProperties

- java.lang.Object
- - org.apache.poi.xddf.usermodel.XDDFShapeProperties

-     @Beta
      public class XDDFShapeProperties
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XDDFShapeProperties()`
    `XDDFShapeProperties(org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties properties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BlackWhiteMode` | `getBlackWhiteMode()`
    `XDDFCustomGeometry2D` | `getCustomGeometry2D()`
    `XDDFEffectContainer` | `getEffectContainer()`
    `XDDFEffectList` | `getEffectList()`
    `XDDFExtensionList` | `getExtensionList()`
    `XDDFFillProperties` | `getFillProperties()`
    `XDDFLineProperties` | `getLineProperties()`
    `XDDFPresetGeometry2D` | `getPresetGeometry2D()`
    `XDDFScene3D` | `getScene3D()`
    `XDDFShape3D` | `getShape3D()`
    `XDDFTransform2D` | `getTransform2D()`
    `org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties` | `getXmlObject()`
    `void` | `setBlackWhiteMode(BlackWhiteMode mode)`
    `void` | `setCustomGeometry2D(XDDFCustomGeometry2D geometry)`
    `void` | `setEffectContainer(XDDFEffectContainer container)`
    `void` | `setEffectList(XDDFEffectList list)`
    `void` | `setExtensionList(XDDFExtensionList list)`
    `void` | `setFillProperties(XDDFFillProperties properties)`
    `void` | `setLineProperties(XDDFLineProperties properties)`
    `void` | `setPresetGeometry2D(XDDFPresetGeometry2D geometry)`
    `void` | `setScene3D(XDDFScene3D scene)`
    `void` | `setShape3D(XDDFShape3D shape)`
    `void` | `setTransform2D(XDDFTransform2D transform)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDDFShapeProperties

          public XDDFShapeProperties()

    - #### XDDFShapeProperties

          @Internal
          public XDDFShapeProperties(org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties properties)

  - ### Method Detail

    - #### getXmlObject

          @Internal
          public org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties getXmlObject()

    - #### getBlackWhiteMode

          public BlackWhiteMode getBlackWhiteMode()

    - #### setBlackWhiteMode

          public void setBlackWhiteMode(BlackWhiteMode mode)

    - #### getFillProperties

          public XDDFFillProperties getFillProperties()

    - #### setFillProperties

          public void setFillProperties(XDDFFillProperties properties)

    - #### getLineProperties

          public XDDFLineProperties getLineProperties()

    - #### setLineProperties

          public void setLineProperties(XDDFLineProperties properties)

    - #### getCustomGeometry2D

          public XDDFCustomGeometry2D getCustomGeometry2D()

    - #### setCustomGeometry2D

          public void setCustomGeometry2D(XDDFCustomGeometry2D geometry)

    - #### getPresetGeometry2D

          public XDDFPresetGeometry2D getPresetGeometry2D()

    - #### setPresetGeometry2D

          public void setPresetGeometry2D(XDDFPresetGeometry2D geometry)

    - #### getEffectContainer

          public XDDFEffectContainer getEffectContainer()

    - #### setEffectContainer

          public void setEffectContainer(XDDFEffectContainer container)

    - #### getEffectList

          public XDDFEffectList getEffectList()

    - #### setEffectList

          public void setEffectList(XDDFEffectList list)

    - #### getExtensionList

          public XDDFExtensionList getExtensionList()

    - #### setExtensionList

          public void setExtensionList(XDDFExtensionList list)

    - #### getScene3D

          public XDDFScene3D getScene3D()

    - #### setScene3D

          public void setScene3D(XDDFScene3D scene)

    - #### getShape3D

          public XDDFShape3D getShape3D()

    - #### setShape3D

          public void setShape3D(XDDFShape3D shape)

    - #### getTransform2D

          public XDDFTransform2D getTransform2D()

    - #### setTransform2D

          public void setTransform2D(XDDFTransform2D transform)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.